> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcribe audio with structured JSON output



## OpenAPI

````yaml /api/openapi.yaml post /v1/llm/audio/transcribe
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /v1/llm/audio/transcribe:
    post:
      tags:
        - LLM
      summary: Transcribe audio with structured JSON output
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - audio_url
              properties:
                audio_url:
                  type: string
                  format: uri
                model:
                  type: string
                  nullable: true
                language:
                  type: string
                  default: auto
                diarize:
                  type: boolean
                  default: false
                timestamps:
                  type: string
                  enum:
                    - none
                    - sentence
                    - word
                  default: sentence
      responses:
        '200':
          description: Audio transcription.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LLMAudioResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    LLMAudioResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          const: audio.transcription
        model:
          type: string
        transcript:
          type: string
        language_detected:
          type: string
        segments:
          type: array
          items:
            type: object
            properties:
              start:
                type: number
              end:
                type: number
              speaker:
                type: string
                nullable: true
              text:
                type: string
        usage:
          $ref: '#/components/schemas/LLMUsage'
    LLMUsage:
      type: object
      properties:
        input_tokens:
          type: integer
        output_tokens:
          type: integer
        cached_tokens:
          type: integer
        millicredits_charged:
          type: integer
        credits_charged:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````